Skip to main content
Weavr Multi Product BackOffice API
Operations

Update spend rules for a managed card

PATCH/bulks/managed_cards/_id_/spend_rules

Submit the details to update the spend rules of Managed Cards.

The bulkId returned in the response can subsequently be used to launch the updating of Managed Card spend rules process through <Execute bulk process>. A submitted bulk process can be managed (executed, accessed, paused, resumed and cancelled) by any other Authorised User of the same identity of the user that submits the details.

The status of the bulk process after execution of this operation is set to ‘SUBMITTED’. The execution of the bulk process is launched through the Execute bulk process operation.

The submission of data for a bulk process does not expire but it can be cancelled through <Cancel bulk process>.

The system is configured to accept bulk requests to process up to a maximum of 10,000 bulk operations.

Each spend rules update operation in this bulk process is processed via <Managed Cards > Update a Managed Card.

Request

Header parameters

Request body

application/json
{}
objectobject · 2 fields

Responses

201Created

Success - returning bulk process

Body
application/json
{}
objectobject · 3 fields
Response example
{  "bulkId": "string",  "operationCount": 0,  "path": "string"}